WoW: Patch 2.0.1 addon reminders

WoW 2.0.1 = kills addonsBefore the Storm for the World of Warcraft‘s coming up with this December 5, but before you download the 2.0.1 patch that’s coming out that day, take heed: This new patch will render all your past Addons useless.

And while this seems normal with every patch that’s been launched, the 2.0.1 patch that’s coming out will be an exceptional handful, as Blizzard states:

WoW 2.0 represents a major change in the UI code, and as such ALL AddOns will need to be updated before they will work, if for no other reason than the Lua 5.0 to Lua 5.1 changes. Some AddOns will be more seriously affected, and a few will have to be redesigned.

What this means is that patch 2.0.1 will change the LUA code that all current addons run on. The bad news is that some of the game’s mod dudes will probably abandon their current addons, as writing a new code will be too time-consuming.

Now, for those who don’t have an idea of what to do, Lady Harper suggests one of the following:

  1. Give up using addons altogether, play “naked” (Not like that, you hideous trolls!)
  2. Take a sabbatical from the game, maybe a week, to cool down.
  3. Check your current list of addons, and see if they already have a patch 2.0 version available. The CurseGaming and  WoWInterface sites should have info on these compatible addons.

Via Tobold

WoW 2.0.1 = kills addonsBefore the Storm for the World of Warcraft‘s coming up with this December 5, but before you download the 2.0.1 patch that’s coming out that day, take heed: This new patch will render all your past Addons useless.

And while this seems normal with every patch that’s been launched, the 2.0.1 patch that’s coming out will be an exceptional handful, as Blizzard states:

WoW 2.0 represents a major change in the UI code, and as such ALL AddOns will need to be updated before they will work, if for no other reason than the Lua 5.0 to Lua 5.1 changes. Some AddOns will be more seriously affected, and a few will have to be redesigned.

What this means is that patch 2.0.1 will change the LUA code that all current addons run on. The bad news is that some of the game’s mod dudes will probably abandon their current addons, as writing a new code will be too time-consuming.

Now, for those who don’t have an idea of what to do, Lady Harper suggests one of the following:

  1. Give up using addons altogether, play “naked” (Not like that, you hideous trolls!)
  2. Take a sabbatical from the game, maybe a week, to cool down.
  3. Check your current list of addons, and see if they already have a patch 2.0 version available. The CurseGaming and  WoWInterface sites should have info on these compatible addons.

Via Tobold

Add a Comment

Your email address will not be published.